OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class NotesHttpPlugin

    java.lang.Object
      org.opennms.netmgt.capsd.AbstractPlugin
          org.opennms.netmgt.capsd.AbstractTcpPlugin
              org.opennms.netmgt.capsd.HttpPlugin
                  org.opennms.netmgt.capsd.NotesHttpPlugin

All Implemented Interfaces:
  Plugin

public class NotesHttpPlugin
extends HttpPlugin

This class is designed to be used by the capabilities daemon to test for the existance of an Lotus Notes HTTP server on remote interfaces. The class implements the Plugin interface that allows it to be used along with other plugins by the daemon.

Version:
  1.1.1.1
Author:
  Jason , OpenNMS

Field Summary

Fields inherited from class org.opennms.netmgt.capsd.HttpPlugin
`CHECK_RETURN_CODE, DEFAULT_URL, PROTOCOL_NAME, QUERY_STRING, RESPONSE_STRING`

Fields inherited from class org.opennms.netmgt.capsd.AbstractTcpPlugin
`m_defaultPort, m_defaultRetry, m_defaultTimeout, m_pluginName, m_protocolName`

Constructor Summary
`NotesHttpPlugin()`

Methods inherited from class org.opennms.netmgt.capsd.HttpPlugin
`checkProtocol, getConnectionConfigList`

Methods inherited from class org.opennms.netmgt.capsd.AbstractTcpPlugin
`checkConnection, closeSocket, createConnectionConfig, getKeyedInteger, getKeyedIntegerArray, getPluginName, getProtocolName, isProtocolSupported, isProtocolSupported, populateConnectionConfig, preconnectCheck, saveConfig, saveKeyedInteger, setPluginName, wrapSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotesHttpPlugin

    public NotesHttpPlugin()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.